{
    num: 747,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Stuff Cheeks",
    pp: 10,
    priority: 0,
    flags: {snatch: 1, metronome: 1},
    onDisableMove(pokemon) {
        if (!pokemon.getItem().isBerry && pokemon.item !== 'leftovers') {
            pokemon.disableMove('stuffcheeks');
        }
    },
    onTry(source) {
        return source.getItem().isBerry || source.hasItem('leftovers');
    },
    onHit(pokemon) {
        if (!this.boost({def: 2})) return null;

        if (pokemon.hasItem('leftovers')) {
            this.heal(pokemon.baseMaxhp / 16);
            return;
        }

        pokemon.eatItem(true);
    },
    volatileStatus: "stuffcheeks",
    condition: {
        duration: 1,
        onTryHeal(damage, target, source, effect) {
            if (effect && effect.id === 'leftovers') {
                return 0;
            }
        },
    },
    secondary: null,
    target: "self",
    type: "Normal",
}
